## com.sun.jersey.spi.container
Interface WebApplicationProvider

    public interface WebApplicationProvider

Service-provider interface for creating Web application instances.

An implementation (a service-provider) identifies itself by placing a provider-configuration file (if not already present), "com.sun.research.ws.rest.spi.container.WebApplicationProvider" in the resource directory `META-INF/services`, and including the fully qualified service-provider-class of the implementation in the file.

Only the first registered provider in the provider-configuration file will be used any subsequent providers (if present) will be ignored.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`WebApplication` | `createWebApplication()` Instantiate a new `WebApplication`.

Method Detail

### createWebApplication

    WebApplication createWebApplication()
                                        throws ContainerException

  Instantiate a new `WebApplication`.

  Returns:
    the Web application.
  Throws:
    `ContainerException` - if there is an error creating the Web application.

Copyright © 2017 Oracle Corporation. All Rights Reserved.